JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class WinDef.LONGbyReference

    java.lang.Object
      com.sun.jna.PointerType
          com.sun.jna.ptr.ByReference
              com.sun.jna.platform.win32.WinDef.LONGbyReference

All Implemented Interfaces:
  NativeMapped

Enclosing interface:
  WinDef

    public static class WinDef.LONGbyReference

extends ByReference

Constructor Summary
`WinDef.LONGbyReference()`
`WinDef.LONGbyReference(WinDef.LONG value)`

Method Summary
`WinDef.LONG` `getValue()`
`void` `setValue(WinDef.LONG value)`

Methods inherited from class com.sun.jna.PointerType
`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WinDef.LONGbyReference

    public WinDef.LONGbyReference()

### WinDef.LONGbyReference

    public WinDef.LONGbyReference(WinDef.LONG value)

Method Detail

### setValue

    public void setValue(WinDef.LONG value)

### getValue

    public WinDef.LONG getValue()

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.